<template>
    <div>
        <Banner></Banner>
        <b-container class="home">
            <b-row align-h="center">

            </b-row>

            <b-row align-h="center" class="mb-5">

                <b-col md="12" class="my-5">
                    <h2>Ethical design</h2>
                </b-col>


                <b-col md="3">
                    <b-row align-h="center" class="mt-4">
                        <b-col cols="12">
                            <icon name="eye-slash"  color="#1b1619" class="mb-4 clearfix" scale="4"></icon>
                        </b-col>
                        <span>Privacy by <br>design</span>
                    </b-row>
                </b-col>
                <b-col md="3">
                    <b-row align-h="center" class="mt-4">
                        <b-col cols="12">
                            <icon name="hand-holding-heart" color="#1b1619" class="mb-4" scale="4"></icon>
                        </b-col>
                        <span>Respect human<br>effort</span>
                    </b-row>
                </b-col>
                <b-col md="3">
                    <b-row align-h="center" class="mt-4">
                        <b-col cols="12">
                            <icon name="gavel" color="#1b1619" class="mb-4" scale="4"></icon>
                        </b-col>
                        <span>Respect human<br>rights</span>
                    </b-row>
                </b-col>
            </b-row>
        </b-container>

        <b-container fluid>
            <b-row align-h="center" style="background-color: #fbb056; padding-top: 75px; padding-bottom: 75px" id="partners">
                <b-col class="" md="12">
                    <h2 class="my-3">Partner with us</h2>
                </b-col>

                <b-col class="mt-3">
                    <b-button variant="secondary" href="mailto:mail@blockchangers.com" class="py-3 px-5" style="font-size: 1.5rem">Send email</b-button>
                </b-col>
            </b-row>
        </b-container>

        <b-container>
            <b-row align-h="center" class="" style="margin: 100px auto">
                <b-col class="mb-4" md="12">
                    <h2 class="my-3">Get updates</h2>
                </b-col>
                <b-col>
                    <b-btn v-b-modal.modal1>Join newsletter and get early access</b-btn>

                    <!-- Modal Component -->
                    <b-modal id="modal1" title="Konsent ID for Persons" :hide-footer="true">
                        <MailChimp/>
                    </b-modal>
                </b-col>
            </b-row>
        </b-container>


        <b-container fluid>
            <b-row align-h="center" class="mt-5" style="background-color: #1b1619">
                <h3 style="color: #fff;" class="my-5">Best regards Blockchangers</h3>
            </b-row>
        </b-container>
    </div>
</template>

<script>

  import Banner from "./layout/Banner";
  import MailChimp from "./MailChimp";
  import MailChimpPartners from "./MailChimpPartners";

  export default {
    name: 'home',
    components: {
      MailChimpPartners,
      MailChimp,
      Banner
      //
    },
    computed: {},
    created: function () {

    }
  }
</script>

<style lang="scss" scoped>
    #partners{
        .btn-secondary {
            color: #fff;
            background-color: #fbb056;
            border-color: #fbb056;
            color: rgba(255, 255, 255, 1);
            box-shadow: 0 5px 15px rgba(27, 22, 25, 0.6);
        }
        .btn-secondary:hover {
            color: #fff;
            background-color: #1b1619;
            border-color: #1b1619;
        }
    }
    .btn-secondary {
        color: #fff;
        background-color: #fbb056;
        border-color: #fbb056;
    }

    .btn-secondary:hover {
        color: #fff;
        background-color: #1b1619;
        border-color: #1b1619;
    }
</style>
